
D4Science Infrastructure - Task #6969

Dissmiss CouchDB dev cluster

Feb 07, 2017 06:48 PM - Luca Frosini

Status: Closed Start date: Feb 07, 2017

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Databases Hosting   

Infrastructure: Development   

Description

CouchDB dev cluster is composed by the following machine:

accounting-d-d4s.d4science.org

couchdb01-d-d4s.d4science.org

couchdb02-d-d4s.d4science.org

They can be dismissed as soon as smart-executor are provisioned on devsec (smartexecutor_dev_devnext ansible configuration).

I already updated the provisioning scripts.

@roberto.cirillo@isti.cnr.it even accounting does not use couchdb for months two records appeared on accounting db from

node1-d-d4s.d4science.org:8080 by VREModeler. Please check if such a machine is still using the old

document-store-couchdb-connector.

History

#1 - Feb 08, 2017 10:05 AM - Tommaso Piccioli

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#2 - Feb 08, 2017 03:17 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Luca Frosini

The VREModeler deployed on node1-d-d4s.d4science.org is using the couchbase library: "document-store-lib-couchbase-1.2.0-4.1.0-131889.jar".

@luca.frosini@isti.cnr.it  could you check the date of the two records please? Maybe the records are very old.

#3 - Feb 08, 2017 04:28 PM - Luca Frosini

- Status changed from Feedback to In Progress

- Assignee changed from Luca Frosini to Tommaso Piccioli

They are from October 2016. I was sue that there were no document a month ago. Anyway it is not important.

@tommaso.piccioli@isti.cnr.it you can dismiss the cluster.

#4 - Feb 09, 2017 10:10 PM - Andrea Dell'Amico

I stopped couchdb02-d-d4s.d4science.org because I needed to reclaim some memory on the hypervisor.

I saw that there's a mysql server running on accounting-d-d4s.d4science.org, why?

#5 - Feb 10, 2017 01:29 PM - Tommaso Piccioli

- Status changed from In Progress to Closed

- Assignee changed from Tommaso Piccioli to Roberto Cirillo

- % Done changed from 0 to 100

Anyway, backup done and all three nodes removed.
